### Enumeration

# Snapd PublisherValidation

since: 1.42

#### Declaration

    enum Snapd.PublisherValidation

#### Description [src]

State of validation for a publisher.

Available since: 1.42

#### Members

`SNAPD_PUBLISHER_VALIDATION_UNKNOWN`

  The validation state of the publisher is unknown.

  - Value: `0`
  - Available since: 1.42
`SNAPD_PUBLISHER_VALIDATION_UNPROVEN`

  The publisher has not proven their identity.

  - Value: `1`
  - Available since: 1.42
`SNAPD_PUBLISHER_VALIDATION_VERIFIED`

  The publisher is a star developer.

  - Value: `2`
  - Available since: 1.42
`SNAPD_PUBLISHER_VALIDATION_STARRED`

  The publisher has had their identity verified.

  - Value: `3`
  - Available since: 1.42